[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TToolButton.OnClick

Event handler signalled when the tool button has been clicked.

## Declaration

Source position: comctrls.pp line 2221

`published property TToolButton.OnClick : TNotifyEvent;`

## Description

OnClick is a TNotifyEvent property with the event handler signalled when the left mouse button is clicked on the tool button.

## See also

TToolButton.Style |  | Determines the display style for the tool button.
TToolButton.OnArrowClick |  | Event handler signalled when the drop-down indicator for a tool button is clicked.
TControl.OnClick |  | Notification handler for mouse clicks.